---
title: Date.prototype.setMinutes()
slug: Web/JavaScript/Reference/Global_Objects/Date/setMinutes
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>setMinutes()</code></strong> method sets the minutes for a specified date according to local time.</p>

<div>{{EmbedInteractiveExample("pages/js/date-setminutes.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setMinutes(<var>minutesValue</var>[, <var>secondsValue</var>[, <var>msValue</var>]])</pre>

<h3 id="Versions_prior_to_JavaScript_1.3">Versions prior to JavaScript 1.3</h3>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setMinutes(<var>minutesValue</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>minutesValue</var></code></dt>
 <dd>An integer between 0 and 59, representing the minutes.</dd>
 <dt><code><var>secondsValue</var></code></dt>
 <dd>Optional. An integer between 0 and 59, representing the seconds. If you specify the <code><var>secondsValue</var></code> parameter, you must also specify the <code><var>minutesValue</var></code>.</dd>
 <dt><code><var>msValue</var></code></dt>
 <dd>Optional. A number between 0 and 999, representing the milliseconds. If you specify the <code><var>msValue</var></code> parameter, you must also specify the <code><var>minutesValue</var></code> and <code><var>secondsValue</var></code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date.</p>

<h2 id="Description">Description</h2>

<p>If you do not specify the <code><var>secondsValue</var></code> and <code><var>msValue</var></code> parameters, the values returned from {{jsxref("Date.prototype.getSeconds()", "getSeconds()")}} and {{jsxref("Date.prototype.getMilliseconds()", "getMilliseconds()")}} methods are used.</p>

<p>If a parameter you specify is outside of the expected range, <code>setMinutes()</code> attempts to update the date information in the {{jsxref("Date")}} object accordingly. For example, if you use 100 for <code><var>secondsValue</var></code>, the minutes will be incremented by 1 (<code><var>minutesValue</var> + 1</code>), and 40 will be used for seconds.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setMinutes">Using setMinutes()</h3>

<pre class="brush: js notranslate">var theBigDay = new Date();
theBigDay.setMinutes(45);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.setminutes', 'Date.prototype.setMinutes')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setMinutes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getMinutes()")}}</li>
 <li>{{jsxref("Date.prototype.setUTCMinutes()")}}</li>
</ul>
